## bootmenu 0

=== Makefile ===
all: evkey

clean:
	rm -f evkey

evkey: evkey.c
	cc -o evkey evkey.c

install:
	install -d $(DESTDIR)/bin
	install -m 755 evkey $(DESTDIR)/bin/evkey
	install -d $(DESTDIR)/sbin
	install -m 755 bootmenu $(DESTDIR)/sbin/bootmenu

=== debian/changelog ===
bootmenu (0) unstable; urgency=low

  * Initial release.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed, 23 Aug 2006 19:55:57 +0300

=== debian/control ===
Source: bootmenu
Section: user/tools
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: bootmenu
Architecture: any
Depends: ${shlibs:Depends}
Description: A menu to allow easy dual booting
 This package adds a menu to the boot sequence that allows you
 to choose whether to boot from the internal flash or the MMC.

## bootmenu 1

=== Makefile ===
all: evkey

clean:
	# We don't remove evkey here since we can't build it
        # while making the package

real-clean:
	rm -f evkey

evkey: evkey.c
	arm-linux-uclibc-cc -o evkey evkey.c

install:
	install -d $(DESTDIR)/usr/lib/bootmenu/
	install -m 755 evkey $(DESTDIR)/usr/lib/bootmenu/evkey
	install -m 755 bootmenu.sh $(DESTDIR)/usr/lib/bootmenu/bootmenu.sh
	install -d $(DESTDIR)/usr/sbin
	install -m 755 bootmenu-installer $(DESTDIR)/usr/sbin/bootmenu-installer

=== debian/changelog ===
bootmenu (1) unstable; urgency=low

  * Hook into initfs.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 28 Aug 2006 21:49:27 +0300

## bootmenu 1.8

=== debian/changelog ===
bootmenu (1.8) unstable; urgency=low

  * Added bootmenu-n900 package.

 -- Nikita V. Youshchenko <yoush@debian.org>  Tue, 23 Mar 2010 23:29:35 +0300

bootmenu (1.6) unstable; urgency=low

  * RX-51 support

 -- Carsten Munk <cvm@cs.au.dk>  Wed, 23 Sep 2009 10:13:25 +0000

bootmenu (1.4) unstable; urgency=low

  * Include initfs 2008-43.

 -- Carsten Munk <cvm@cs.au.dk>  Wed, 17 Dec 2008 15:01:54 +0100

bootmenu (1.3) unstable; urgency=low

  * Initial Release.

 -- Carsten Munk <cvm@cs.au.dk>  Sun, 19 Oct 2008 10:57:56 +0200

=== debian/control ===
Source: bootmenu
Section: user/system
Priority: extra
Maintainer: Carsten Munk <cvm@cs.au.dk>
Build-Depends: debhelper
Standards-Version: 3.7.2

Package: bootmenu
Architecture: armel
Description: Installer for fanoush's bootmenu
  This package adds fanoush's bootmenu initfs flaher with bootmenu.d ability and linuxrc

Package: bootmenu-n900
Architecture: armel
Depends: getbootstate (>= 1.0.38+0m5), ${shlibs:Depends}
Conflicts: bootmenu
Description: N900 Boot Menu support
 This package installs everything necessary to make N900 show boot menu
 if keyboard is open at boot time.
 .
 Menu entries may be configured by dropping files to /etc/bootmenu.d/
 directory.
 .
 This is intended to use to boot alternative operating systems.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/bootmenu.sgml > bootmenu.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/bootmenu.
	$(MAKE) DESTDIR=$(CURDIR)/debian/bootmenu TARGET=RX-51 install

	rm -rf debian/bootmenu-n900
	mkdir -p debian/bootmenu-n900/usr/sbin
	sed 's,/bootmenu.conf,/etc/bootmenu.conf,g' \
	  < debian/bootmenu/usr/lib/bootmenu/bootmenu.sh \
	  > debian/bootmenu-n900/bootmenu.sh
	cp debian/bootmenu/usr/lib/bootmenu/evkey.RX-51 debian/bootmenu-n900/usr/sbin/evkey
	cp -a debian/bootmenu/etc debian/bootmenu-n900/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## bootmenu 1.9

=== Makefile ===

all:

clean:

install:
	mkdir -p ${DESTDIR}/usr/libexec/bootmenu
	cp -d tools/* ${DESTDIR}/usr/libexec/bootmenu
	mkdir -p ${DESTDIR}/usr/doc/bootmenu
	cp README.txt ${DESTDIR}/usr/doc/bootmenu
	mkdir -p ${DESTDIR}/usr/sbin
	cat install_bootmenu | \
 		sed "s/INITFS_IMAGE_STORAGE=\./INITFS_IMAGE_STORAGE=\/var\/tmp/g" | \
 		sed "s/TOOLS_LOCATION=tools/TOOLS_LOCATION=\/usr\/libexec\/bootmenu/g" | \
 		sed "s/FILES_LOCATION=files/FILES_LOCATION=\/usr\/lib\/bootmenu/g" | \
 		sed "s/VARIOUS_LOCATION=\./VARIOUS_LOCATION=\/usr\/share\/bootmenu/g" | \
 		sed "s/BOOTMENU_LOCATION=\./BOOTMENU_LOCATION=\/etc/g" > ${DESTDIR}/usr/sbin/install_bootmenu
	cat refresh_bootmenu.d | \
 		sed "s/INITFS_IMAGE_STORAGE=\./INITFS_IMAGE_STORAGE=\/var\/tmp/g" | \
 		sed "s/TOOLS_LOCATION=tools/TOOLS_LOCATION=\/usr\/libexec\/bootmenu/g" | \
 		sed "s/FILES_LOCATION=files/FILES_LOCATION=\/usr\/lib\/bootmenu/g" | \
 		sed "s/VARIOUS_LOCATION=\./VARIOUS_LOCATION=\/usr\/share\/bootmenu/g" | \
 		sed "s/BOOTMENU_LOCATION=\./BOOTMENU_LOCATION=\/etc/g" > ${DESTDIR}/usr/sbin/refresh_bootmenu.d
	chmod a+rx ${DESTDIR}/usr/sbin/install_bootmenu
	chmod a+rx ${DESTDIR}/usr/sbin/refresh_bootmenu.d
	mkdir -p ${DESTDIR}/usr/share/bootmenu
	cp bootmenu.conf.*.example to_remove.lst ${DESTDIR}/usr/share/bootmenu
	mkdir -p ${DESTDIR}/usr/share/applications/hildon
	cp install_bootmenu.desktop ${DESTDIR}/usr/share/applications/hildon
	mkdir -p ${DESTDIR}/usr/lib/bootmenu
	cp -d files/* ${DESTDIR}/usr/lib/bootmenu
	mkdir -p ${DESTDIR}/etc/bootmenu.d
	cp bootmenu.conf ${DESTDIR}/etc/
	mkdir -p ${DESTDIR}/var/backups/initfs

=== debian/changelog ===
bootmenu (1.9) unstable; urgency=low

  * A lot of fixes for Nokia N900

 -- Pali Rohár <pali.rohar@gmail.com>  Mon, 03 Jan 2011 09:17:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,11 @@
 Source: bootmenu
 Section: user/system
+Architecture: armel
 Priority: extra
 Maintainer: Carsten Munk <cvm@cs.au.dk>
 Build-Depends: debhelper
 Standards-Version: 3.7.2
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=80
 
 Package: bootmenu
 Architecture: armel
@@ -13,6 +15,7 @@
 Package: bootmenu-n900
 Architecture: armel
 Depends: getbootstate (>= 1.0.38+0m5), ${shlibs:Depends}
+Recommends: openssh-server | dropbear-server, udhcpc, utelnetd
 Conflicts: bootmenu
 Description: N900 Boot Menu support
  This package installs everything necessary to make N900 show boot menu

=== debian/rules ===
--- 
+++ 
@@ -56,6 +56,7 @@
 	  < debian/bootmenu/usr/lib/bootmenu/bootmenu.sh \
 	  > debian/bootmenu-n900/bootmenu.sh
 	cp debian/bootmenu/usr/lib/bootmenu/evkey.RX-51 debian/bootmenu-n900/usr/sbin/evkey
+	cp debian/bootmenu/usr/lib/bootmenu/watchdogs.RX-51 debian/bootmenu-n900/usr/sbin/watchdogs
 	cp -a debian/bootmenu/etc debian/bootmenu-n900/
 
 # Build architecture-independent files here.

## bootmenu 1.11

=== debian/changelog ===
bootmenu (1.11) unstable; urgency=low

  * Added support for 770/N8x0 devices again
  * Dropped transitional bootmenu-n900 package
  * Cleaned bootmenu tree
  * Cleaned bootmenu.sh
  * Fixed some problems
  * Improved watchdogs.c - respect R&D flags, do not kick watchdog if disabled
  * Added support for mDNS avahi-daemon in usbnet
  * Ignore invalid bootmenu item files
  * Create needed files for booting in /dev

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 27 Apr 2012 19:04:40 +0200

bootmenu (1.10.1) unstable; urgency=low

  * Fixed dependences in debian/control.n900
  * Start dnsmasq in network mode for resolv.conf

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 16 Apr 2011 04:25:55 +0200

bootmenu (1.10) unstable; urgency=low

  * Added support for usb mass storage mode
  * Added support for power key on Nokia N900
  * Fixed usb network
  * Rewrited debian control files, better files structure

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 20 Feb 2011 00:10:19 +0100

=== debian/control ===
Source: bootmenu
Section: user/system
Priority: extra
Maintainer: Pali Rohár <pali.rohar@gmail.com>
Build-Depends: debhelper, cdbs, libcal-dev
Standards-Version: 3.8.4
XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=80

Package: bootmenu
Architecture: armel
Depends: getbootstate (>= 1.0.38+0m5), ${misc:Depends}, ${shlibs:Depends}
Recommends: openssh-server | dropbear-server, udhcpc, utelnetd,
 avahi-daemon, mdns-support
Conflicts: bootmenu-n900 (<< 1.10)
Replaces: bootmenu-n900 (<< 1.10)
XSBC-Maemo-Display-Name: BootMenu
Description: Fanoush's Boot Menu
 This package installs everything necessary to show Boot Menu
 if keyboard is open at boot time. It also support recorvery USB mode.
 .
 Menu entries may be configured by dropping files to /etc/bootmenu.d/
 directory.
 .
 This is intended to use to boot alternative operating systems.

## bootmenu 1.12

=== debian/changelog ===
bootmenu (1.12) unstable; urgency=low

  * Install evkey to /usr/sbin/ and add also symlink to /usr/bin/
  * Set correct permissions for devices in /dev/
  * Create /dev/urandom
  * Set correct mmc part for /home

 -- Pali Rohár <pali.rohar@gmail.com>  Sun, 27 May 2012 00:03:49 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

clean::
	$(MAKE) clean

build:
	$(MAKE)

binary-fixup/bootmenu::
	for i in 1 2 3; do find debian/$(package) -type d -empty | while read i; do rmdir $$i; done; done

## bootmenu 1.13

=== Makefile ===
all:
	$(CC) $(CFLAGS) $(LDFLAGS) src/evkey.c -o src/evkey
	$(CC) $(CFLAGS) $(LDFLAGS) -DWITH_LIBCAL -lcal src/watchdogs.c -o src/watchdogs
clean:
	$(RM) src/evkey src/watchdogs

=== debian/changelog ===
bootmenu (1.13) unstable; urgency=low

  * Use dnsmasq as dhcp server instead udhpcd
  * Create /dev/tty1 if not exists
  * Fix watchdogs crash when reading CAL failed
  * Do not call getbootstate, instead read it from variables
  * Create devices in /dev only on RX-51 and check if new /sbin/preinit did not done it already (variable devfs_created)
  * Fix writing local and remote network address to display
  * Add support for alternative upstream watchdog device path
  * Read product from /proc/cpuinfo if /proc/component_version not exist
  * Fix key input on RX-51 with upstream kernel
  * Use modprobe instead insmod, try to load g_mass_storage if g_file_storage failed
  * Fix regenerating watchdog devices
  * On upstream kernel rtc module has name rtc-twl
  * Fix exporting devices in usb mass storage mode
  * Handle ask:xxx syntax on N900 too
  * Fix colors for text2screen
  * Fix support for Nokia N810 devices
  * Do not store lease file and do not send route and dns server dhcp options in usb networking

 -- Pali Rohár <pali.rohar@gmail.com>  Tue, 13 May 2014 22:14:50 +0200

=== debian/control ===
--- 
+++ 
@@ -8,9 +8,8 @@
 
 Package: bootmenu
 Architecture: armel
-Depends: getbootstate (>= 1.0.38+0m5), ${misc:Depends}, ${shlibs:Depends}
-Recommends: openssh-server | dropbear-server, udhcpc, utelnetd,
- avahi-daemon, mdns-support
+Depends: getbootstate (>= 1.0.38+0m5), openssh-server, dnsmasq, ${misc:Depends}, ${shlibs:Depends}
+Recommends: utelnetd, avahi-daemon, mdns-support
 Conflicts: bootmenu-n900 (<< 1.10)
 Replaces: bootmenu-n900 (<< 1.10)
 XSBC-Maemo-Display-Name: BootMenu

## bootmenu 1.14

=== debian/changelog ===
bootmenu (1.14) unstable; urgency=low

  * Fix parsing R&D flags in watchdogs
  * Make sure that /etc/bootmenu.d directory exists
  * Fix correct path to evkey binary

 -- Pali Rohár <pali.rohar@gmail.com>  Sat, 27 Jun 2015 12:30:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

clean::
	$(MAKE) clean

build:
	$(MAKE)

binary-fixup/bootmenu::
	for i in 1 2 3; do find debian/bootmenu -type d -empty | while read i; do rmdir $$i; done; done
	mkdir -p debian/bootmenu/etc/bootmenu.d

## bootmenu 2

=== debian/changelog ===
bootmenu (2) unstable; urgency=low

  * Set root device to "ask", better package description.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 29 Aug 2006 00:19:18 +0300

=== debian/control ===
Source: bootmenu
Section: user/tools
Priority: optional
Maintainer: Marius Vollmer <marius.vollmer@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: bootmenu
Architecture: any
Depends: ${shlibs:Depends}
Description: A menu to allow easy dual booting
 This package adds a menu to the boot sequence that allows you
 to choose whether to boot from the internal flash or the MMC.
 .
 You need to have the smaller initfs as described at
 http://maemo.org/maemowiki/BootMenu.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

build:
	dh_testdir
	$(MAKE)

clean:
	dh_testdir
	dh_testroot
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
#	dh_link
#	dh_strip
#	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: install
	dh_testdir

binary: binary-indep binary-arch


.PHONY: binary binary-arch binary-indep install clean
